For the complete documentation index, see llms.txt. This page is also available as Markdown.

Apple Pay For Web

Get validated session

post

Validate a registered merchant domain and returns an Apple Pay merchant session for initiating Apple Pay web transactions.

Header parameters
public-keyanyRequired

A public API key issued to you by Xplor Pay.

Body
initiatedFromstringRequired

The Apple Pay initiative value based on the platform.

Example: web
validationURLstringRequired

The Apple Pay URL used to request a merchant validation session.

Example: https://apple-pay-gateway.apple.com/paymentservices/startSession
domainstringRequired

The merchant domain registered with Apple Pay.

Example: example.com
Responses
200

Successfully obtained Apple Pay session from Apple.

merchantSessionstringOptional

The merchant session returned by Apple to process an Apple Pay for Web transaction.

Example: text
payloadTypestringOptional

The type of payload returned in the response.

Example: apple-merchant-session
post/rest/v2/apple/merchants/validation
POST /rest/v2/apple/merchants/validation HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 129

{
  "initiatedFrom": "web",
  "validationURL": "https://apple-pay-gateway.apple.com/paymentservices/startSession",
  "domain": "example.com"
}
{
  "merchantSession": "text",
  "payloadType": "apple-merchant-session"
}

Get domains

get

Retrieve the list of domains currently registered and enabled for Apple Pay web transactions for the merchant.

Header parameters
api-keyanyRequired

An access API key issued to you by Xplor Pay.

Responses
200

Successfully obtained merchant's registered domains.

payload

payloadTypestringOptional

The type of payload returned in the response.

Example: merchant-domains
get/rest/v2/apple/merchants/domains
GET /rest/v2/apple/merchants/domains HTTP/1.1
Accept: */*
{
  "merchant-domains": [
    {
      "merchantId": "000000843334",
      "domain": "example.com",
      "isEnabled": true
    }
  ],
  "payloadType": "merchant-domains"
}

Register domains

post

Register one or more merchant domains for Apple Pay web transactions.

Header parameters
api-keyanyRequired

An access API key issued to you by Xplor Pay.

Body

Request Body

domainNamesstring[]Required

The list of merchant domains to register or deregister for Apple Pay web transactions.

Example: ["example.com","example.org"]
Responses
200

Successfully registered merchant domain(s).

payload

payloadTypestringOptional

The type of payload returned in the response.

Example: merchant-domains
post/rest/v2/apple/merchants/domains
POST /rest/v2/apple/merchants/domains HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 45

{
  "domainNames": [
    "example.com",
    "example.org"
  ]
}
{
  "merchant-domains": [
    {
      "merchantId": "000000843334",
      "domain": "example.com",
      "isEnabled": true
    }
  ],
  "payloadType": "merchant-domains"
}

Deregister domains

delete

Remove or deregister one or more merchant domains from Apple Pay web transactions.

Header parameters
api-keyanyRequired

An access API key issued to you by Xplor Pay.

Body

Request Body

domainNamesstring[]Required

The list of merchant domains to register or deregister for Apple Pay web transactions.

Example: ["example.com","example.org"]
Responses
200

Successfully de-registered merchant domain(s).

payload

payloadTypestringOptional

The type of payload returned in the response.

Example: merchant-domains
delete/rest/v2/apple/merchants/domains
DELETE /rest/v2/apple/merchants/domains HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 45

{
  "domainNames": [
    "example.com",
    "example.org"
  ]
}
{
  "merchant-domains": [
    {
      "merchantId": "000000843334",
      "domain": "example.com",
      "isEnabled": true
    }
  ],
  "payloadType": "merchant-domains"
}

Get merchant details

get

Retrieve the details for merchants registered with Apple Pay for web-based transactions.

Header parameters
api-keyanyRequired

An access API key issued to you by Xplor Pay.

Responses
200

Successfully obtained Apple Pay merchant details.

Details returned for an Apple Pay merchant

domainNamesstring[]Optional

The domain names registered for Apple Pay web transactions.

Example: ['example.com', 'example.org']
encryptTostringOptional

The Apple Pay encryption destination identifier for the merchant.

Example: merchant.com.clearent.applepay-dev
merchantUrlstringOptional

The primary domain associated with the Apple Pay merchant.

Example: example.com
partnerInternalMerchantIdentifierstringOptional

The internal identifier assigned to the merchant.

Example: 000000843334
partnerMerchantNamestringRequired

The registered merchant name used for Apple Pay transactions.

Example: Bob's Canoes
get/rest/v2/apple/merchants
GET /rest/v2/apple/merchants HTTP/1.1
Accept: */*
{
  "domainNames": "['example.com', 'example.org']",
  "encryptTo": "merchant.com.clearent.applepay-dev",
  "merchantUrl": "example.com",
  "partnerInternalMerchantIdentifier": "000000843334",
  "partnerMerchantName": "Bob's Canoes"
}

Last updated

Was this helpful?